Discontinuing support for older versions of Windows 16 March 2012

 

Since the launch of Guild Wars in 2005 we’ve stayed locked into our original minimum system requirements. Unfortunately, the game has reached a point where this is preventing us from deploying important features. After serious consideration, we’ve decided that Guild Wars will no longer be supported on Windows 95, Windows 98, Windows 98 SE, and Windows ME beginning June 14, 2012. In order to continue to play Guild Wars after this date, we recommend upgrading to a more recent version of Windows.

Realistically, we do not expect this to impact the vast majority of Guild Wars players. Our logs indicate that fewer than 0.05% of our active players use one of these versions of Windows. Discontinuing support for older versions of Windows allows us to deploy features that will improve account management and security. We will be updating the System Requirements on our websites, but we wanted to provide an advance notice to you so that you can prepare for the change. If you have any questions, please visit the Guild Wars Support Forums

It’s time for Wintersday, that joyous time of year when towns glimmer with festive decor, vendors offer seasonal treats, and the hearts of Tyrians everywhere are filled with goodwill.

This year we’re offering two brand new Wintersday costumes that represent the Tyrian gods Lyssa and Kormir. As always, the towns of Lion’s Arch, Droknar’s Forge, Ascalon City, Kamadan, and the Eye of the North will be decked out in Wintersday decorations. Visitors to Lion’s Arch, Kamadan, and the Eye of the North will be invited to participate in holiday quests, missions, and games, all with their own rewards. 

VN:F [1.9.22_1171]
Rating: 0.0/10 (0 votes cast)
VN:F [1.9.22_1171]
Rating: 0 (from 0 votes)